$darkmode

| Qore Sqlite3SqlUtil Module Reference 1.1

Classes | Functions
Sqlite3SqlUtil Namespace Reference

the Sqlite3SqlUtil namespace contains all the objects in the Sqlite3SqlUtil module More...

## Classes
class | Sqlite3Column
| represents a Sqlite3-specific column More...
class | Sqlite3Database
| provides the Sqlite3-specific implementation of the AbstractDatabase interface More...
class | Sqlite3ForeignConstraint
| represents a Sqlite3-specific foreign constraint More...
class | Sqlite3Index
| represents a Sqlite3-specific index More...
class | Sqlite3PrimaryKey
| represents a Sqlite3-specific primary key constraint More...
class | Sqlite3SavepointHelper
| Sqlite3 savepoint helper. More...
class | Sqlite3Table
| provides the Sqlite3-specific implementation of the AbstractTable interface More...
class | Sqlite3Trigger
| represents a Sqlite3-specific trigger More...
class | Sqlite3View
| represents a Sqlite3 view More...

## Functions
Sqlite3Database | get_database (AbstractDatasource nds, *hash< auto > opts)
| returns a Sqlite3Database object corresponding to the arguments
Sqlite3Table | get_table (AbstractDatasource nds, string nname, *hash< auto > opts)
| returns a Sqlite3Table object corresponding to the arguments

## Detailed Description

the Sqlite3SqlUtil namespace contains all the objects in the Sqlite3SqlUtil module